Skip to main content
PATCH
/
connect
/
v1
/
operators
/
{operatorId}
/
connections
/
{connectionId}
Update a connection
curl --request PATCH \
  --url https://api.voyant.travel/connect/v1/operators/{operatorId}/connections/{connectionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "supplierName": "<string>",
  "market": "<string>",
  "credentials": {},
  "metadata": {}
}
'
{
  "id": "<string>",
  "operatorId": "<string>",
  "supplierName": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "providerKey": "<string>",
  "providerRegistrationId": "<string>",
  "market": "US",
  "webhookSigningSecretLast4": "<string>",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).

Path Parameters

operatorId
string
required

Operator id.

connectionId
string
required

Connection id.

Body

application/json
supplierName
string
status
enum<string>
Available options:
pending,
active,
paused,
errored
market
string
credentials
object
metadata
object

Response

200 - application/json

A connection.

id
string
required
operatorId
string
required
supplierName
string
required
status
enum<string>
required
Available options:
pending,
active,
paused,
errored
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
providerKey
string | null
providerRegistrationId
string | null
market
string | null
Example:

"US"

webhookSigningSecretLast4
string | null
metadata
object